<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2007                                            */
/* http://www.php-maximus.org                                           */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/* Portage Coppermine Photo Gallery                                     */
/************************************************************************/

define('IN_COPPERMINE', true);
define('CONFIG_PHP', true);

define('LANG_DIR', 'lang');

require('include/init.inc.php');

$dir = opendir(LANG_DIR);
$lang_files = array();
while($file = readdir($dir)){
	if(is_file(LANG_DIR.'/'.$file)) {
		$lang_files[] = $file;
	}
}
closedir($dir);
asort($lang_files);

if(isset($_GET['get'])){
	$file_index = secure( $_GET['get'], 'num', 1 );
	if ((isset($lang_files[$file_index]))) {
	    header("Content-type: application/php");
		header("Content-Disposition: attachment; filename={$lang_files[$file_index]}");
		fpassthru(fopen(LANG_DIR.'/'.$lang_files[$file_index], 'r'));
		exit;
	}
}

pageheader('Language files');
starttable('100%', 'Language files');
foreach($lang_files as $index => $file){
	echo <<<EOT
		<tr>
			<td class="tableb">
				<img src="images/folder.gif" alt="" />&nbsp;<a href="{$_SERVER['PHP_SELF']}?get=$index">$file</a>
			</td>
		</tr>
EOT;
}
endtable();
pagefooter();
ob_end_flush();